package com.yonge.cooleshow.biz.dal.dto.search;

import com.yonge.cooleshow.biz.dal.enums.YesOrNoEnum;
import com.yonge.toolset.mybatis.page.QueryInfo;
import com.yonge.toolset.utils.string.StringUtil;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.StringUtils;

import java.util.List;

/**
 * Description 专辑查询
 *
 * @author: liujunchi
 * @date: 2022-03-31
 */
@ApiModel(value = "MusicAlbumSearch", description = "专辑列表查询")
public class MusicAlbumSearch extends QueryInfo{

    @ApiModelProperty("专辑编号/名称")
    private String idAndName;

    @ApiModelProperty("标签id，多个逗号隔开")
    private String albumTagIds;

    @ApiModelProperty(hidden = true)
    private List<Long> albumTagIdList;

    @ApiModelProperty("专辑状态0：停用，1：启用")
    private YesOrNoEnum albumStatus;

    @ApiModelProperty(value = "排序规则，1：按收藏人数倒叙",hidden = true)
    private Integer sortBy;

    public String getIdAndName() {
        return idAndName;
    }

    public void setIdAndName(String idAndName) {
        this.idAndName = idAndName;
    }

    public String getAlbumTagIds() {
        return albumTagIds;
    }

    public void setAlbumTagIds(String albumTagIds) {
        this.albumTagIds = albumTagIds;
        if (StringUtils.isNotBlank(albumTagIds)) {
            this.albumTagIdList = StringUtil.toLongList(albumTagIds);
        }
    }

    public List<Long> getAlbumTagIdList() {
        return albumTagIdList;
    }

    public void setAlbumTagIdList(List<Long> albumTagIdList) {
        this.albumTagIdList = albumTagIdList;
    }

    public YesOrNoEnum getAlbumStatus() {
        return albumStatus;
    }

    public void setAlbumStatus(YesOrNoEnum albumStatus) {
        this.albumStatus = albumStatus;
    }

    public Integer getSortBy() {
        return sortBy;
    }

    public void setSortBy(Integer sortBy) {
        this.sortBy = sortBy;
    }
}
